import request from '@/utils/request'

// 查询返佣记录列表
export function listApi(query) {
  return request({
    url: '/commissionRecord/list',
    method: 'get',
    params: query
  })
}

// 查询返佣记录详细
export function getApi(id) {
  return request({
    url: '/commissionRecord/' + id,
    method: 'get'
  })
}

// 新增返佣记录
export function addApi(data) {
  return request({
    url: '/commissionRecord',
    method: 'post',
    data: data
  })
}

// 修改返佣记录
export function updateApi(data) {
  return request({
    url: '/commissionRecord',
    method: 'put',
    data: data
  })
}

// 删除返佣记录
export function delApi(id) {
  return request({
    url: '/commissionRecord/' + id,
    method: 'delete'
  })
}
